Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.search
Interface ISearchQuery

public interface ISearchQuery

An interface that provides the input information to execute the search. For example, remote system access information, query strings, as well as search output preferences, including the number of records to be skipped.

Method Summary
`int` | `getMaxReturn()` Gets the maximum number of records to return per page.
`int` | `getNumberToSkip()` Gets the number of records to skip; this is where the search starts.
`NamedValueMap` | `getSearchInfo()` Gets a `NamedValueMap` of preferences from Service Configuration Interface pages for the Search service.
`ISearchResult` | `getSearchResult()` Gets the `ISearchResult` passed from `IRemoteSearch` to be filled in with a result set.
`java.lang.String` | `getSearchString()` Gets the search query string.
`UserInfoMap` | `getUserInfo()` Gets a `UserInfoMap` of User Information settings (e.g., e-mail, manager).
`NamedValueMap` | `getUserPrefs()` Gets a `NamedValueMap` of User preferences (user-specific configuration settings).

Method Detail

### getMaxReturn

    public int getMaxReturn()

  Gets the maximum number of records to return per page.

  Returns:
    int maximum number of records to return per page

### getNumberToSkip

    public int getNumberToSkip()

  Gets the number of records to skip; this is where the search starts.

  Returns:
    int number of records to skip

### getSearchInfo

    public NamedValueMap getSearchInfo()

  Gets a `NamedValueMap` of preferences from Service Configuration Interface pages for the Search service. The map will be empty if no Service Configuration Interface pages have been added for the Search service. Note that the names in the `NamedValueMap`will be uppercase.

  Returns:
    `NamedValueMap`

### getSearchResult

    public ISearchResult getSearchResult()

  Gets the `ISearchResult` passed from `IRemoteSearch` to be filled in with a result set.

  Returns:
    `ISearchResult`

### getSearchString

    public java.lang.String getSearchString()

  Gets the search query string.

  Returns:
    string

### getUserInfo

    public UserInfoMap getUserInfo()

  Gets a `UserInfoMap` of User Information settings (e.g., e-mail, manager).

  Returns:
    `UserInfoMap`

### getUserPrefs

    public NamedValueMap getUserPrefs()

  Gets a `NamedValueMap` of User preferences (user-specific configuration settings).

  Returns:
    `NamedValueMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.